Subject: Re: bug#23007: 24.5; buggy interactive search with middle click

From: [email-masked]
Date: Tue, 30 May 2017 07:47:56 -0400

Alex <[email-masked]> writes:

> [email-masked] writes:
>
>> Alex <[email-masked]> writes:
>>
>>> +      (let ((overriding-terminal-local-map nil))
>>> +        (setq binding (key-binding (this-command-keys-vector) t)))
>>
>> IMO, it would be better style to do something like
>>
>> (let ((binding (let ((overriding-terminal-local-map nil))
>>                  (key-binding (this-command-keys-vector) t))))
>>   ...)
>
> That was my first idea, but at the time I thought it was better style to
> use the setq version instead. :)

Hah, well it is somewhat a question of personal opinion, but generally I
try to avoid setq, if it's not too much trouble.

> Your version makes the binding more obvious, though, so I updated the
> patch to use it. I've attached it below.

Ok, I'll push to master in a couple of days.